## org.gnu.pango
Class Coverage

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.pango.Coverage

public class Coverage
extends MemStruct

It is often necessary in Pango to determine if a particular font can represent a particular character, and also how well it can represent that character. The PangoCoverage is a data structure that is used to represent that information.

Constructor Summary
`Coverage()` Create a new Coverage
`Coverage(Coverage coverage)` Create a new Coverage that is a copy of the provided Coverage.

Method Summary
`static Coverage` `fromBytes(byte[] ary)`
`CoverageLevel` `get(int index)` Determine whether a particular index is covered by coverage.
`void` `set(int index, CoverageLevel level)` Modify a particular index within coverage.
`void` `setMax(Coverage other)` Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.
`byte[]` `toBytes()`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Coverage

    public Coverage()

  Create a new Coverage

### Coverage

    public Coverage(Coverage coverage)

  Create a new Coverage that is a copy of the provided Coverage.

Parameters:
  `coverage` -

Method Detail

### get

    public CoverageLevel get(int index)

  Determine whether a particular index is covered by coverage.

### setMax

    public void setMax(Coverage other)

  Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.

### set

    public void set(int index,
                    CoverageLevel level)

  Modify a particular index within coverage.

### toBytes

    public byte[] toBytes()

### fromBytes

    public static Coverage fromBytes(byte[] ary)